>From 6c22faa974e2a20a65f725ae408c9418ec61697d Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Sat, 1 Mar 2014 03:12:56 +0100
Subject: [PATCH] Implement support for parallel=n in DEB_BUILD_OPTIONS.

---
 debian/changelog | 6 ++++++
 debian/rules     | 7 ++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 9bbeea5..19c5c30 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+busybox (1:1.22.0-5) UNRELEASED; urgency=medium
+
+  * Implement support for parallel=n in DEB_BUILD_OPTIONS.
+
+ -- Cyril Brulebois <kibi@debian.org>  Sat, 01 Mar 2014 03:12:30 +0100
+
 busybox (1:1.22.0-4) unstable; urgency=low
 
   * new: do-not-fail-on-missing-SIGPWR.patch: fix FTBFS on !linux,
diff --git a/debian/rules b/debian/rules
index 0afe7a6..11117fd 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,6 +22,11 @@ ifneq (${DEB_HOST_GNU_TYPE},${DEB_BUILD_GNU_TYPE})
 export CROSS_COMPILE = ${DEB_HOST_GNU_TYPE}-
 endif
 
+# support for parallel building
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
 # we filter out -Werror=format-security from CFLAGS, because
 # bb uses constructs like
 #  bb_error_msg_and_die(bb_msg_memory_exhausted);
@@ -88,7 +93,7 @@ ${b}/stamp-build: $(patsubst %,${b}/%/.stamp-build, ${flavours}) ${test-dep}
 ${b}/%/.stamp-build: DIR = ${b}/$*
 ${b}/%/.stamp-build: ${b}/%/.stamp-setup
 	dh_testdir
-	$(MAKE) -C ${DIR} install docs/busybox.1 \
+	$(MAKE) -j$(NUMJOBS) -C ${DIR} install docs/busybox.1 \
 	  SKIP_STRIP=y \
 	  BB_EXTRA_VERSION="${VENDOR} ${PKGVERSION}" \
 	  CONFIG_EXTRA_CFLAGS='${EXTRA_CFLAGS} ${EXTRA_CPPFLAGS}' \
-- 
1.9.0

